Page MenuHomePhabricator

'InvalidArgumentException' with message 'Unknown data value type "globecoordinate" has no associated DataValue class'
Closed, ResolvedPublic

Description

Unexpected non-MediaWiki exception encountered, of type "InvalidArgumentException"
exception 'InvalidArgumentException' with message 'Unknown data value type "globecoordinate" has no associated DataValue class' in /usr/local/apache/common-local/php-1.22wmf5/extensions/DataValues/DataValues/includes/DataValueFactory.php:140
Stack trace:
#0 /usr/local/apache/common-local/php-1.22wmf5/extensions/DataValues/DataValues/includes/DataValueFactory.php(101): DataValues\DataValueFactory->getDataValueClass('globecoordinate')
#1 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Snak/SnakObject.php(171): DataValues\DataValueFactory->newDataValue('globecoordinate', Array)
#2 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Claim/Claim.php(205): Wikibase\SnakObject::newFromArray(Array)
#3 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Claim/Statement.php(172): Wikibase\Claim::newFromArray(Array)
#4 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Claim/Claim.php(202): Wikibase\Statement::newFromArray(Array)
#5 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Entity/Entity.php(719): Wikibase\Claim::newFromArray(Array)
#6 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Entity/Entity.php(702): Wikibase\Entity->unstubClaims()
#7 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/client/includes/parserhooks/PropertyParserFunction.php(102): Wikibase\Entity->getClaims()
#8 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/client/includes/parserhooks/PropertyParserFunction.php(138): Wikibase\PropertyParserFunction->getClaimsForProperty(Object(Wikibase\Item), 'P107')
#9 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/client/includes/parserhooks/PropertyParserFunction.php(188): Wikibase\PropertyParserFunction->renderForEntityId(Object(Wikibase\EntityId), 'P107')
#10 [internal function]: Wikibase\PropertyParserFunction::render(Object(Parser), 'P107')

full stack trace

http://dpaste.com/1227106/

(made a hotfix to the deployment to catch and handle any exceptions in the parser function at the renderForEntityId level)


Version: master
Severity: major

Details

Reference
bz49417

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:07 AM
bzimport set Reference to bz49417.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Jun 10 2013, 10:43 PM
aude added a comment.Jun 11 2013, 12:15 AM

also happening with lua

Unexpected non-MediaWiki exception encountered, of type "InvalidArgumentException"
exception 'InvalidArgumentException' with message 'Unknown data value type "globecoordinate" has no associated DataValue class' in /usr/local/apache/common-local/php-1.22wmf5/extensions/DataValues/DataValues/includes/DataValueFactory.php:140
Stack trace:
#0 /usr/local/apache/common-local/php-1.22wmf5/extensions/DataValues/DataValues/includes/DataValueFactory.php(101): DataValues\DataValueFactory->getDataValueClass('globecoordinate')
#1 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Snak/SnakObject.php(171): DataValues\DataValueFactory->newDataValue('globecoordinate', Array)
#2 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Claim/Claim.php(205): Wikibase\SnakObject::newFromArray(Array)
#3 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Claim/Statement.php(172): Wikibase\Claim::newFromArray(Array)
#4 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Claim/Claim.php(202): Wikibase\Statement::newFromArray(Array)
#5 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Entity/Entity.php(719): Wikibase\Claim::newFromArray(Array)
#6 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/DataModel/DataModel/Entity/Entity.php(702): Wikibase\Entity->unstubClaims()
#7 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/lib/includes/serializers/EntitySerializer.php(91): Wikibase\Entity->getClaims()
#8 /usr/local/apache/common-local/php-1.22wmf5/extensions/Wikibase/client/includes/WikibaseLibrary.php(81): Wikibase\Lib\Serializers\EntitySerializer->getSerialized(Object(Wikibase\Item))
#9 [internal function]: Scribunto_LuaWikibaseLibrary->getEntity('q4451759')
#10 /usr/local/apache/common-local/php-1.22wmf5/extensions/Scribunto/engines/LuaSandbox/Engine.php(237): call_user_func_array(Array, Array)
#11 [internal function]: Scribunto_LuaSandboxCallback->__call('getEntity', Array)
#12 [internal function]: Scribunto_LuaSandboxCallback->getEntity('q4451759')
#13 [internal function]: LuaSandboxFunction->call(Object(LuaSandboxFunction))
#14 /usr/local/apache/common-local/php-1.22wmf5/extensions/Scribunto/engines/LuaSandbox/Engine.php(158): call_user_func_array(Array, Array)
#15 /usr/local/apache/common-local/php-1.22wmf5/extensions/Scribunto/engines/LuaCommon/LuaCommon.php(186): Scribunto_LuaSandboxInterpreter->callFunction(Object(LuaSandboxFunction), Object(LuaSandboxFunction))
#16 /usr/local/apache/common-local/php-1.22wmf5/extensions/Scribunto/engines/LuaCommon/LuaCommon.php(643): Scribunto_LuaEngine->executeFunctionChunk(Object(LuaSandboxFunction), Object(PPTemplateFrame_DOM))
#17 /usr/local/apache/common-local/php-1.22wmf5/extensions/Scribunto/common/Hooks.php(108): Scribunto_LuaModule->invoke('formatStatement...', Object(PPTemplateFrame_DOM))
#18 [internal function]: ScribuntoHooks::invokeHook(Object(Parser), Object(PPTemplateFrame_DOM), Array)
#19 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3560): call_user_func_array('ScribuntoHooks:...', Array)
#20 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3278): Parser->callParserFunction(Object(PPTemplateFrame_DOM), '#invoke', Array)
#21 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Preprocessor_DOM.php(1085): Parser->braceSubstitution(Array, Object(PPTemplateFrame_DOM))
#22 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3432): PPFrame_DOM->expand(Object(PPNode_DOM))
#23 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Preprocessor_DOM.php(1085): Parser->braceSubstitution(Array, Object(PPTemplateFrame_DOM))
#24 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3192): PPFrame_DOM->expand(Object(PPNode_DOM))
#25 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Preprocessor_DOM.php(1085): Parser->braceSubstitution(Array, Object(PPTemplateFrame_DOM))
#26 /usr/local/apache/common-local/php-1.22wmf5/extensions/ParserFunctions/ParserFunctions_body.php(137): PPFrame_DOM->expand(Object(PPNode_DOM))
#27 [internal function]: ExtParserFunctions::ifObj(Object(Parser), Object(PPTemplateFrame_DOM), Array)
#28 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3560): call_user_func_array('ExtParserFuncti...', Array)
#29 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3278): Parser->callParserFunction(Object(PPTemplateFrame_DOM), '#if', Array)
#30 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Preprocessor_DOM.php(1085): Parser->braceSubstitution(Array, Object(PPTemplateFrame_DOM))
#31 /usr/local/apache/common-local/php-1.22wmf5/extensions/ParserFunctions/ParserFunctions_body.php(137): PPFrame_DOM->expand(Object(PPNode_DOM))
#32 [internal function]: ExtParserFunctions::ifObj(Object(Parser), Object(PPTemplateFrame_DOM), Array)
#33 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3560): call_user_func_array('ExtParserFuncti...', Array)
#34 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3278): Parser->callParserFunction(Object(PPTemplateFrame_DOM), '#if', Array)
#35 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Preprocessor_DOM.php(1085): Parser->braceSubstitution(Array, Object(PPTemplateFrame_DOM))
#36 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3432): PPFrame_DOM->expand(Object(PPNode_DOM))
#37 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Preprocessor_DOM.php(1085): Parser->braceSubstitution(Array, Object(PPTemplateFrame_DOM))
#38 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3432): PPFrame_DOM->expand(Object(PPNode_DOM))
#39 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Preprocessor_DOM.php(1085): Parser->braceSubstitution(Array, Object(PPFrame_DOM))
#40 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(3101): PPFrame_DOM->expand(Object(PPNode_DOM), 0)
#41 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(1157): Parser->replaceVariables('{{???????????? ...')
#42 /usr/local/apache/common-local/php-1.22wmf5/includes/parser/Parser.php(386): Parser->internalParse('{{???????????? ...')
#43 /usr/local/apache/common-local/php-1.22wmf5/includes/content/WikitextContent.php(300): Parser->parse('{{???????????? ...', Object(Title), Object(ParserOptions), true, true, 54218486)
#44 /usr/local/apache/common-local/php-1.22wmf5/includes/WikiPage.php(3435): WikitextContent->getParserOutput(Object(Title), 54218486, Object(ParserOptions))
#45 /usr/local/apache/common-local/php-1.22wmf5/includes/PoolCounter.php(222): PoolWorkArticleView->doWork()
#46 /usr/local/apache/common-local/php-1.22wmf5/includes/Article.php(708): PoolCounterWork->execute()
#47 /usr/local/apache/common-local/php-1.22wmf5/includes/actions/ViewAction.php(44): Article->view()
#48 /usr/local/apache/common-local/php-1.22wmf5/includes/Wiki.php(439): ViewAction->show()
#49 /usr/local/apache/common-local/php-1.22wmf5/includes/Wiki.php(305): MediaWiki->performAction(Object(Article), Object(Title))
#50 /usr/local/apache/common-local/php-1.22wmf5/includes/Wiki.php(565): MediaWiki->performRequest()
#51 /usr/local/apache/common-local/php-1.22wmf5/includes/Wiki.php(458): MediaWiki->main()
#52 /usr/local/apache/common-local/php-1.22wmf5/index.php(55): MediaWiki->run()
#53 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#54 {main}

aude added a comment.Jun 11 2013, 1:01 AM

https://gerrit.wikimedia.org/r/#/c/67932/ and https://gerrit.wikimedia.org/r/#/c/67900/ are the hotfixes

The lua patch should probably go into master and wmf6 definitely.

For the parser function, probably also backport that to wmf6 and see if DanielK's error handling is sufficient in master to deal with this sort of issue.

aaron added a comment.Jun 11 2013, 2:06 AM

This floods when trying to run jobs.

Related URL: https://gerrit.wikimedia.org/r/67969 (Gerrit Change Ida64d89b8f44cc862c17558294cea2f1f3d1ecde)

aude added a comment.Jun 11 2013, 1:25 PM

I was able to reproduce the issue in the jobs.

php maintenance/runJobs.php --verbose --maxtime 1900
2013-06-11 11:20:24 ChangeNotification Special:ChangeNotificationJob repo= changeIds=array(1) STARTING
Unexpected non-MediaWiki exception encountered, of type "InvalidArgumentException"
exception 'InvalidArgumentException' with message 'Unknown data value type "globecoordinate" has no associated DataValue class' in /var/www/common/wikibase-client/extensions/DataValues/DataValues/includes/DataValueFactory.php:140
Stack trace:
#0 /var/www/common/wikibase-client/extensions/DataValues/DataValues/includes/DataValueFactory.php(101): DataValues\DataValueFactory->getDataValueClass('globecoordinate')
#1 /var/www/common/wikibase-client/extensions/Wikibase/DataModel/DataModel/Snak/SnakObject.php(171): DataValues\DataValueFactory->newDataValue('globecoordinate', Array)
#2 /var/www/common/wikibase-client/extensions/Wikibase/DataModel/DataModel/Claim/Claim.php(205): Wikibase\SnakObject::newFromArray(Array)
#3 /var/www/common/wikibase-client/extensions/Wikibase/DataModel/DataModel/Claim/Statement.php(172): Wikibase\Claim::newFromArray(Array)
#4 [internal function]: Wikibase\Statement::newFromArray(Array)
#5 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/EntityChange.php(402): call_user_func(Array, Array)
#6 [internal function]: Wikibase\EntityChange->objectifyArrays(Array)
#7 /var/www/common/wikibase-client/extensions/Diff/includes/DiffOpFactory.php(134): call_user_func(Array, Array)
#8 /var/www/common/wikibase-client/extensions/Diff/includes/DiffOpFactory.php(82): Diff\DiffOpFactory->arrayToObject(Array)
#9 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/WikibaseDiffOpFactory.php(46): Diff\DiffOpFactory->newFromArray(Array)
#10 /var/www/common/wikibase-client/extensions/Diff/includes/DiffOpFactory.php(93): Wikibase\WikibaseDiffOpFactory->newFromArray(Array)
#11 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/WikibaseDiffOpFactory.php(46): Diff\DiffOpFactory->newFromArray(Array)
#12 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/WikibaseDiffOpFactory.php(62): Wikibase\WikibaseDiffOpFactory->newFromArray(Array)
#13 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/WikibaseDiffOpFactory.php(40): Wikibase\WikibaseDiffOpFactory->createOperations(Array)
#14 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/DiffChange.php(157): Wikibase\WikibaseDiffOpFactory->newFromArray(Array)
#15 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/ChangeRow.php(166): Wikibase\DiffChange->unserializeInfo('{"diff":{"type"...')
#16 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/ChangeRow.php(208): Wikibase\ChangeRow->getField('info')
#17 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/EntityChange.php(135): Wikibase\ChangeRow->getInfo('no')
#18 /var/www/common/wikibase-client/extensions/Wikibase/client/includes/ChangeHandler.php(343): Wikibase\EntityChange->getMetadata()
#19 /var/www/common/wikibase-client/extensions/Wikibase/client/includes/ChangeHandler.php(418): Wikibase\ChangeHandler->coalesceRuns(Array)
#20 /var/www/common/wikibase-client/extensions/Wikibase/client/includes/ChangeHandler.php(469): Wikibase\ChangeHandler->coalesceChanges(Array)
#21 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/ChangeNotificationJob.php(146): Wikibase\ChangeHandler->handleChanges(Array)
#22 /var/www/common/wikibase-client/maintenance/runJobs.php(100): Wikibase\ChangeNotificationJob->run()
#23 /var/www/common/wikibase-client/maintenance/doMaintenance.php(110): RunJobs->execute()
#24 /var/www/common/wikibase-client/maintenance/runJobs.php(153): require_once('/var/www/common...')
#25 {main}

#0 /var/www/common/wikibase-client/extensions/DataValues/DataValues/includes/DataValueFactory.php(101): DataValues\DataValueFactory->getDataValueClass('globecoordinate')
#1 /var/www/common/wikibase-client/extensions/Wikibase/DataModel/DataModel/Snak/SnakObject.php(171): DataValues\DataValueFactory->newDataValue('globecoordinate', Array)
#2 /var/www/common/wikibase-client/extensions/Wikibase/DataModel/DataModel/Claim/Claim.php(205): Wikibase\SnakObject::newFromArray(Array)
#3 /var/www/common/wikibase-client/extensions/Wikibase/DataModel/DataModel/Claim/Statement.php(172): Wikibase\Claim::newFromArray(Array)
#4 [internal function]: Wikibase\Statement::newFromArray(Array)
#5 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/EntityChange.php(402): call_user_func(Array, Array)
#6 [internal function]: Wikibase\EntityChange->objectifyArrays(Array)
#7 /var/www/common/wikibase-client/extensions/Diff/includes/DiffOpFactory.php(134): call_user_func(Array, Array)
#8 /var/www/common/wikibase-client/extensions/Diff/includes/DiffOpFactory.php(82): Diff\DiffOpFactory->arrayToObject(Array)
#9 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/WikibaseDiffOpFactory.php(46): Diff\DiffOpFactory->newFromArray(Array)
#10 /var/www/common/wikibase-client/extensions/Diff/includes/DiffOpFactory.php(93): Wikibase\WikibaseDiffOpFactory->newFromArray(Array)
#11 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/WikibaseDiffOpFactory.php(46): Diff\DiffOpFactory->newFromArray(Array)
#12 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/WikibaseDiffOpFactory.php(62): Wikibase\WikibaseDiffOpFactory->newFromArray(Array)
#13 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/WikibaseDiffOpFactory.php(40): Wikibase\WikibaseDiffOpFactory->createOperations(Array)
#14 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/DiffChange.php(157): Wikibase\WikibaseDiffOpFactory->newFromArray(Array)
#15 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/ChangeRow.php(166): Wikibase\DiffChange->unserializeInfo('{"diff":{"type"...')
#16 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/ChangeRow.php(208): Wikibase\ChangeRow->getField('info')
#17 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/changes/EntityChange.php(135): Wikibase\ChangeRow->getInfo('no')
#18 /var/www/common/wikibase-client/extensions/Wikibase/client/includes/ChangeHandler.php(343): Wikibase\EntityChange->getMetadata()
#19 /var/www/common/wikibase-client/extensions/Wikibase/client/includes/ChangeHandler.php(418): Wikibase\ChangeHandler->coalesceRuns(Array)
#20 /var/www/common/wikibase-client/extensions/Wikibase/client/includes/ChangeHandler.php(469): Wikibase\ChangeHandler->coalesceChanges(Array)
#21 /var/www/common/wikibase-client/extensions/Wikibase/lib/includes/ChangeNotificationJob.php(146): Wikibase\ChangeHandler->handleChanges(Array)
#22 /var/www/common/wikibase-client/maintenance/runJobs.php(100): Wikibase\ChangeNotificationJob->run()
#23 /var/www/common/wikibase-client/maintenance/doMaintenance.php(110): RunJobs->execute()
#24 /var/www/common/wikibase-client/maintenance/runJobs.php(153): require_once('/var/www/common...')
#25 {main}

https://gerrit.wikimedia.org/r/67969 (Gerrit Change Ida64d89b8f44cc862c17558294cea2f1f3d1ecde) | change APPROVED and MERGED [by Tobias Gritschacher]

Related URL: https://gerrit.wikimedia.org/r/67985 (Gerrit Change Ida64d89b8f44cc862c17558294cea2f1f3d1ecde)

https://gerrit.wikimedia.org/r/67985 (Gerrit Change Ida64d89b8f44cc862c17558294cea2f1f3d1ecde) | change APPROVED and MERGED [by Tobias Gritschacher]

Related URL: https://gerrit.wikimedia.org/r/67986 (Gerrit Change Ida64d89b8f44cc862c17558294cea2f1f3d1ecde)

https://gerrit.wikimedia.org/r/67987 (Gerrit Change I85e387b62ff0f940de31acec166c28ff389114ad) | change APPROVED and MERGED [by jenkins-bot]

https://gerrit.wikimedia.org/r/67986 (Gerrit Change Ida64d89b8f44cc862c17558294cea2f1f3d1ecde) | change APPROVED and MERGED [by jenkins-bot]

Verified in Wikidata demo sprint 22-9